<?php 
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
global $lang;
load_language('lang', dirname(__FILE__).'/../');
$admin_url = PHPWG_ROOT_PATH.'admin.php';


if ( !isset($_GET['cat']) )   $_GET['cat'] = 'caddie';
$_GET['mode'] = 'map';
include (PHPWG_ROOT_PATH.'admin/element_set.php');
$template->concat('TABSHEET_TITLE', ' '.l10n_dec('%d image', '%d images', count($page['cat_elements_id'])).' - '.$page['title']);
if ( isset($_POST['submit']) and !is_adviser() )
{
  $collection = array();
  if( !isset ($_POST['target']))
  {
  $_POST['submit'] == l10n('Submit') ;
  $_POST['target']='selection';
    $collection = $_POST['selection'];

  }

  switch ($_POST['target'])
  {
    case 'all' :
      $collection = $page['cat_elements_id'];
      break;
    case 'selection' :
      if (!isset($_POST['selection']) or count($_POST['selection']) == 0)
        array_push($page['errors'], l10n('Select at least one picture'));
      else
        $collection = $_POST['selection'];
      break;
  }
  

  // test si mise  jour (valider) 
  if ( isset($_POST['submit']) and  $_POST['submit'] == l10n('Submit') )
    {
	  if ( count($collection)>0 )
	  {
		$lat = trim($_POST['lat']);
		$lon = trim($_POST['lon']);

		if ( strlen($lat)>0 and strlen($lon)>0 )
		{
		  if ( (double)$lat<=90 and (double)$lat>=-90
			  and (double)$lon<=180 and (double)$lat>=-180 )
			$update_query = 'lat='.$lat.', lon='.$lon;
		  else
			$page['errors'][] = 'Invalid lat or lon value';
		}
		elseif ( strlen($lat)==0 and strlen($lon)==0 )
		  $update_query = 'lat=NULL, lon=NULL';
		else
		  $page['errors'][] = 'Both lat/lon must be empty or not empty';

		if (isset($update_query))
		{
		  $update_query = '
			UPDATE '.IMAGES_TABLE.' SET '.$update_query.'
			WHERE id IN ('.implode(',',$collection).')';
		  pwg_query($update_query);
		  clm_invalidate_cache();
		}
	  }
	}
}


$template->append(
  'specials',
  array(
		$admin_url.get_query_string_diff(array('start','cat')).'&amp;cat=caddie' => l10n('Caddie')
    ),
	true
  );

$query = '
SELECT id,name,uppercats,global_rank
  FROM '.CATEGORIES_TABLE.'
;';
$result = pwg_query($query);
$categories = array();
$selecteds = array();
if (!empty($result))
{
  while ($row = mysql_fetch_assoc($result))
  {
    $url = $admin_url.get_query_string_diff(array('start','cat')).'&amp;cat='.$row['id'];
    if ( $row['id']==$_GET['cat'] ) $selecteds[] = $url;
    $row['id']=$url;
    array_push($categories, $row);
  }
}
usort($categories, 'global_rank_compare');
display_select_categories($categories, $selecteds, 'categories', false);

if (!empty($_GET['display']))
{
  if ('all' == $_GET['display'])
    $page['nb_images'] = count($page['cat_elements_id']);
  else
    $page['nb_images'] = intval($_GET['display']);
}
else
  $page['nb_images'] = 20;

if ( !empty($page['cat_elements_id']) )
{
  $nav_bar = create_navigation_bar(
    $admin_url.get_query_string_diff(array('start')),
    count($page['cat_elements_id']),
    $page['start'],
    $page['nb_images']
    );
  $template->assign('navbar', $nav_bar);
}

$images=array();
if ( !empty($page['cat_elements_id']) )
{
  $query='
SELECT id,tn_ext,name,path,file,lat,lon FROM '.IMAGES_TABLE.'
  WHERE id IN ('.implode(',',$page['cat_elements_id']).')
  '.$conf['order_by'].'
  LIMIT '.$page['start'].', '.$page['nb_images'].'
;';
  $result = pwg_query($query);
  while ( $row=mysql_fetch_assoc($result) )
    $images[] = $row;
}

foreach ($images as $image)
{
	$tpl_var = array_merge( $image,
      array(
        'U_TN' => get_thumbnail_url($image),
        'TITLE' => get_thumbnail_title($image)
      )
    );
  if ( isset($image['lat']) )
    $tpl_var['U_MAP'] = cl_make_map_picture_url( array('image_id'=>$image['id'], 'image_file'=>$image['file']) );
	$template->append('thumbnails', $tpl_var);
}

$template->assign(
    array(
      'U_DISPLAY'=> $admin_url.get_query_string_diff(array('display'))
    ) 
  );

//==========================================================
	if (!defined('EDIT_RV_ROOT')) define(  'EDIT_RV_ROOT',  PHPWG_PLUGINS_PATH.'edit_gmaps/admin/' ); 
	$path = EDIT_RV_PATH;
    $plg_data = implode( '', file($path.'main.inc.php') );
	 if (preg_match("|Version: (.*)|", $plg_data, $val))
          { $edit_rv_plugin['version'] = trim($val[1]);  }  
    $edit_rv_plugin = array_map('htmlspecialchars', $edit_rv_plugin); 
	$version= $edit_rv_plugin['version'] ;
	$icon_path = 'themes/default/icon/help.png';
	$path_js=  'themes/default/js/' ; 

//==================================================================================
$match="";  
if ( isset($_POST['submit']) and !is_adviser() )
{ 	 

  if ($_POST['submit']==l10n('Submit') )
   {
      $_POST['selection']=array();  
      $collection =array(); 
	  unset($collection); 
  }
 

 if ($_POST['submit']==l10n('reset' ) )
		{
			$_POST['selection']=array();
			unset($collection);
		}
 

 }
//=================================================================================
$src="";
$template->assign(
    array(	'EDIT_RV_ROOT' => EDIT_RV_ROOT,
	        'path_js' => $path_js,
            'VERSION'=> $version,
            'EDIT_RV_ROOT_ABS' => dirname(__FILE__).'/',
	      ) 
  );
  global $lang_info;
if (date_default_timezone_get()) { $adresse =  date_default_timezone_get()   ;}
else{

}
$adresse =  $lang_info['country'];   ;
$adresse=str_replace("/",", ",$adresse);
$template->assign( 'coordinates',
				                   array('LAT' => '100',
										 'LON' => '100',
										 'ADRESSE' => $adresse,
										 'ZOOM' => 18,
										)
									);
if (isset($_POST['submit']) and $_POST['submit']==l10n('selection' ))
{

if (isset($collection))	
{   
    $lat =1000;
  foreach ($collection as $id_0)  {
  		foreach ($images as $image)  {
   			if (array_search($id_0,$image)) { 
			  $_POST['selection'] = $collection ;

			  if ($lat==1000) {
			    $lat1= ($image['lat'] <> '') ? $image['lat'] : '100'  ;
				$lon1= ($image['lon']  <> '') ? $image['lon'] : '3.0'  ;
				if($lat1 != '100') $lat=$image['lat'];
 				
				$template->assign( 'coordinates',
				                   array('LAT' =>   $lat1  ,
										 'LON' =>   $lon1  ,
										 'ADRESSE' =>  $adresse ,
										 'ZOOM' => 4,
										)
									);

				}

			 $tpl_var = array_merge( 
			            $image,
      					array(
						   'lat'  =>   $image['lat']    ,
						   'lon' =>  $image['lon']    ,
						   'adresse' =>  $adresse   ,
        					'U_TN' => get_thumbnail_url($image),
        					'TITLE' => get_thumbnail_title($image),
							'U_MAP' => cl_make_map_picture_url(
							                                    array(
							                                         'image_id'=>$image['id'],
							                                         'image_file'=>$image['file'],
							                                         ) 

      						                                    ),
								)  								
    						);
	 
				$template->append('Selectthumbnails', $tpl_var);			
			}
		}	
	}
  }
}

  //=======================================================================
function cl_make_map_picture_url($params)
{
	global $conf;
	/*if ( empty($conf['gmaps_api_key']) and $_SERVER['SERVER_ADDR']!='127.0.0.1' )
		return "";*/
	$map_url = make_picture_url($params);
	return add_url_params($map_url, array('map'=>null) );
}
?>